org.apache.jmeter.protocol.jms.sampler.render

## Class MapMessageRenderer

- java.lang.Object
- - org.apache.jmeter.protocol.jms.sampler.render.MapMessageRenderer

All Implemented Interfaces:
  MessageRenderer<Map<String,Object>>

    public class MapMessageRenderer
    extends Object
    implements MessageRenderer<Map<String,Object>>

### Constructor Summary

Constructors
Constructor and Description
`MapMessageRenderer(org.apache.jmeter.protocol.jms.sampler.render.TextMessageRenderer delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,Object>` `getValueFromFile(String filename, String encoding, boolean hasVariable, com.github.benmanes.caffeine.cache.Cache<Object,Object> cache)` Read text from file, eventually replace variables, then convert it.
`Map<String,Object>` `getValueFromText(String text)` Convert text to expected type

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapMessageRenderer

    public MapMessageRenderer(org.apache.jmeter.protocol.jms.sampler.render.TextMessageRenderer delegate)

### Method Detail

#### getValueFromText

    public Map<String,Object> getValueFromText(String text)

Description copied from interface: `MessageRenderer`
Convert text to expected type

Specified by:
  `getValueFromText` in interface `MessageRenderer<Map<String,Object>>`
Parameters:
  `text` - Text representing the type
Returns:
  the constructed object

#### getValueFromFile

    public Map<String,Object> getValueFromFile(String filename,
                                               String encoding,
                                               boolean hasVariable,
                                               com.github.benmanes.caffeine.cache.Cache<Object,Object> cache)

Description copied from interface: `MessageRenderer`
Read text from file, eventually replace variables, then convert it. Cached content depends if variabilisation is active or not.

Specified by:
  `getValueFromFile` in interface `MessageRenderer<Map<String,Object>>`
Parameters:
  `filename` - name of the file to get the value from
  `encoding` - encoding of the file
  `hasVariable` - flag, whether variables inside the value should be replaced
  `cache` - Cache in which the raw values will be stored/read from
Returns:
  the constructed object